function [ model ] = initWithKMeans( X, idx )
%INITWITHKMEANS Summary of this function goes here
%   Detailed explanation goes here

[~, dim] = size(X);
labels = unique(idx);
K = length(labels);

M = zeros(K, dim);
Sigma = zeros(dim, dim, K);

for l=1:K
    Xl = X(idx==l,:);
    M(l,:) = mean(Xl);
    Sigma(:,:,l) = cov(Xl);
end

model.M = M;
model.Sigma = Sigma;