%
%   MLCV Summer 2016
%   Homework Assignment 04 - Boosting
%
%   Exercise 1) Adaboost
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [ P ] = decisionstump_predict( X, stump )
%DECISIONSTUMP_PREDICT Summary of this function goes here
%   X               - Nxdim matrix, N samples with dim properties each
%   stump.dim       - the best dimension to split
%   stump.value     - the decision value on which to split
%   stump.leftLabel - the class label of the samples that are left of the
%                       decision value, assumes labels are in {-1,+1}
%
%   P - Nx1 vector, the predicted labels of the samples


    P = zeros(size(X,1), 1);
    idxLeft = X(:, stump.dim) < stump.value;
    P(idxLeft) = stump.leftLabel;
    P(~idxLeft) = -stump.leftLabel;

end
